# Generated by ariadne-codegen

from .base_client import BaseClient
from .base_model import BaseModel, Upload
from .client import Client
from .enums import (
    ContentCatalogEntityType,
    ContentCatalogVersionOrderField,
    ErrorDetail,
    ErrorType,
    OrderDirection,
    PlayerType,
    SeriesOrderBy,
    SeriesType,
    ServiceLevel,
    TournamentVenueType,
)
from .exceptions import (
    GraphQLClientError,
    GraphQLClientGraphQLError,
    GraphQLClientGraphQLMultiError,
    GraphQLClientHttpError,
    GraphQLClientInvalidResponseError,
)
from .get_available_games import (
    GetAvailableGames,
    GetAvailableGamesAllSeries,
    GetAvailableGamesAllSeriesEdges,
    GetAvailableGamesAllSeriesEdgesNode,
    GetAvailableGamesAllSeriesPageInfo,
)
from .get_available_players import (
    GetAvailablePlayers,
    GetAvailablePlayersPlayers,
    GetAvailablePlayersPlayersEdges,
    GetAvailablePlayersPlayersEdgesNode,
    GetAvailablePlayersPlayersEdgesNodeExternalLinks,
    GetAvailablePlayersPlayersEdgesNodeExternalLinksDataProvider,
    GetAvailablePlayersPlayersEdgesNodeExternalLinksExternalEntity,
    GetAvailablePlayersPlayersEdgesNodeTeam,
    GetAvailablePlayersPlayersPageInfo,
)
from .get_available_teams import (
    GetAvailableTeams,
    GetAvailableTeamsTeams,
    GetAvailableTeamsTeamsEdges,
    GetAvailableTeamsTeamsEdgesNode,
    GetAvailableTeamsTeamsEdgesNodeExternalLinks,
    GetAvailableTeamsTeamsEdgesNodeExternalLinksDataProvider,
    GetAvailableTeamsTeamsEdgesNodeExternalLinksExternalEntity,
    GetAvailableTeamsTeamsPageInfo,
)
from .get_available_tournaments import (
    GetAvailableTournaments,
    GetAvailableTournamentsTournaments,
    GetAvailableTournamentsTournamentsEdges,
    GetAvailableTournamentsTournamentsEdgesNode,
    GetAvailableTournamentsTournamentsEdgesNodeExternalLinks,
    GetAvailableTournamentsTournamentsEdgesNodeExternalLinksDataProvider,
    GetAvailableTournamentsTournamentsEdgesNodeExternalLinksExternalEntity,
    GetAvailableTournamentsTournamentsPageInfo,
)
from .get_games import (
    GetGames,
    GetGamesAllSeries,
    GetGamesAllSeriesEdges,
    GetGamesAllSeriesEdgesNode,
    GetGamesAllSeriesPageInfo,
)
from .get_lol_teams_by_team_code import (
    GetLolTeamsByTeamCode,
    GetLolTeamsByTeamCodeTeams,
    GetLolTeamsByTeamCodeTeamsEdges,
    GetLolTeamsByTeamCodeTeamsEdgesNode,
    GetLolTeamsByTeamCodeTeamsEdgesNodeExternalLinks,
    GetLolTeamsByTeamCodeTeamsEdgesNodeExternalLinksDataProvider,
    GetLolTeamsByTeamCodeTeamsEdgesNodeExternalLinksExternalEntity,
)
from .get_series import (
    GetSeries,
    GetSeriesAllSeries,
    GetSeriesAllSeriesEdges,
    GetSeriesAllSeriesEdgesNode,
    GetSeriesAllSeriesEdgesNodeExternalLinks,
    GetSeriesAllSeriesEdgesNodeExternalLinksDataProvider,
    GetSeriesAllSeriesEdgesNodeExternalLinksExternalEntity,
    GetSeriesAllSeriesEdgesNodeFormat,
    GetSeriesAllSeriesEdgesNodeTeams,
    GetSeriesAllSeriesEdgesNodeTeamsBaseInfo,
    GetSeriesAllSeriesEdgesNodeTeamsBaseInfoExternalLinks,
    GetSeriesAllSeriesEdgesNodeTeamsBaseInfoExternalLinksDataProvider,
    GetSeriesAllSeriesEdgesNodeTeamsBaseInfoExternalLinksExternalEntity,
    GetSeriesAllSeriesEdgesNodeTournament,
    GetSeriesAllSeriesEdgesNodeTournamentExternalLinks,
    GetSeriesAllSeriesEdgesNodeTournamentExternalLinksDataProvider,
    GetSeriesAllSeriesEdgesNodeTournamentExternalLinksExternalEntity,
    GetSeriesAllSeriesPageInfo,
)
from .get_series_ids_by_team import (
    GetSeriesIdsByTeam,
    GetSeriesIdsByTeamAllSeries,
    GetSeriesIdsByTeamAllSeriesEdges,
    GetSeriesIdsByTeamAllSeriesEdgesNode,
    GetSeriesIdsByTeamAllSeriesEdgesNodeTeams,
    GetSeriesIdsByTeamAllSeriesEdgesNodeTeamsBaseInfo,
    GetSeriesIdsByTeamAllSeriesEdgesNodeTournament,
    GetSeriesIdsByTeamAllSeriesPageInfo,
)
from .input_types import (
    BooleanFilter,
    BoundsInput,
    ContentCatalogEntityFilter,
    ContentCatalogEntityTitleFilter,
    ContentCatalogEntityTypeFilter,
    ContentCatalogVersionFilter,
    ContentCatalogVersionOrder,
    ContentCatalogVersionTitleFilter,
    CoordinatesInput,
    CreateContentCatalogCharacterInput,
    CreateContentCatalogItemInput,
    CreateContentCatalogMapInput,
    CreateContentCatalogVersionInput,
    CreatePlayerInput,
    CreatePlayerPlayerRoleInput,
    CreatePlayerRoleInput,
    CreatePlayerRoleTitleInput,
    CreatePlayerTeamInput,
    CreatePlayerTitleInput,
    CreateSeriesFormatInput,
    CreateSeriesInput,
    CreateSeriesParticipatingPlayersInput,
    CreateSeriesTeamInput,
    CreateSeriesTitleInput,
    CreateSeriesTournamentInput,
    CreateTeamInput,
    CreateTeamTitleInput,
    CreateTournamentInput,
    CreateTournamentParentInput,
    CreateTournamentTeamInput,
    CreateTournamentTitleInput,
    DateInput,
    DateTimeFilter,
    DeletePlayerInput,
    DeletePlayerRoleInput,
    DeleteSeriesInput,
    DeleteTeamInput,
    DeleteTournamentInput,
    ExternalEntityInput,
    ExternalLinkInput,
    GameFilter,
    IdFilter,
    IntFilter,
    MapFilter,
    MoneyInput,
    NationalityFilter,
    NullableDateFilter,
    NullableIdFilter,
    OrganizationFilter,
    PlayerFilter,
    PlayerPlayerRoleFilter,
    PlayerRoleFilter,
    PlayerRoleTitleFilter,
    ProductServiceLevelFilter,
    SeriesFilter,
    SeriesLiveFilter,
    SeriesPlayerFilter,
    SeriesTournamentFilter,
    SeriesTournamentTitleFilter,
    StringFilter,
    TeamFilter,
    TitleFilter,
    TournamentFilter,
    TournamentTitleFilter,
    UpdateContentCatalogCharacterInput,
    UpdateContentCatalogItemInput,
    UpdateContentCatalogMapInput,
    UpdateContentCatalogVersionInput,
    UpdateContentCatalogVersionOwnerInput,
    UpdatePlayerInput,
    UpdatePlayerPlayerRoleInput,
    UpdatePlayerRoleInput,
    UpdatePlayerRoleTitleInput,
    UpdatePlayerTeamInput,
    UpdatePlayerTitleInput,
    UpdateSeriesFormatInput,
    UpdateSeriesInput,
    UpdateSeriesParticipatingPlayersInput,
    UpdateSeriesTeamInput,
    UpdateSeriesTitleInput,
    UpdateSeriesTournamentInput,
    UpdateTeamInput,
    UpdateTeamTitleInput,
    UpdateTournamentInput,
    UpdateTournamentParentInput,
    UpdateTournamentTeamInput,
    UpdateTournamentTitleInput,
)

__all__ = [
    "BaseClient",
    "BaseModel",
    "BooleanFilter",
    "BoundsInput",
    "Client",
    "ContentCatalogEntityFilter",
    "ContentCatalogEntityTitleFilter",
    "ContentCatalogEntityType",
    "ContentCatalogEntityTypeFilter",
    "ContentCatalogVersionFilter",
    "ContentCatalogVersionOrder",
    "ContentCatalogVersionOrderField",
    "ContentCatalogVersionTitleFilter",
    "CoordinatesInput",
    "CreateContentCatalogCharacterInput",
    "CreateContentCatalogItemInput",
    "CreateContentCatalogMapInput",
    "CreateContentCatalogVersionInput",
    "CreatePlayerInput",
    "CreatePlayerPlayerRoleInput",
    "CreatePlayerRoleInput",
    "CreatePlayerRoleTitleInput",
    "CreatePlayerTeamInput",
    "CreatePlayerTitleInput",
    "CreateSeriesFormatInput",
    "CreateSeriesInput",
    "CreateSeriesParticipatingPlayersInput",
    "CreateSeriesTeamInput",
    "CreateSeriesTitleInput",
    "CreateSeriesTournamentInput",
    "CreateTeamInput",
    "CreateTeamTitleInput",
    "CreateTournamentInput",
    "CreateTournamentParentInput",
    "CreateTournamentTeamInput",
    "CreateTournamentTitleInput",
    "DateInput",
    "DateTimeFilter",
    "DeletePlayerInput",
    "DeletePlayerRoleInput",
    "DeleteSeriesInput",
    "DeleteTeamInput",
    "DeleteTournamentInput",
    "ErrorDetail",
    "ErrorType",
    "ExternalEntityInput",
    "ExternalLinkInput",
    "GameFilter",
    "GetAvailableGames",
    "GetAvailableGamesAllSeries",
    "GetAvailableGamesAllSeriesEdges",
    "GetAvailableGamesAllSeriesEdgesNode",
    "GetAvailableGamesAllSeriesPageInfo",
    "GetAvailablePlayers",
    "GetAvailablePlayersPlayers",
    "GetAvailablePlayersPlayersEdges",
    "GetAvailablePlayersPlayersEdgesNode",
    "GetAvailablePlayersPlayersEdgesNodeExternalLinks",
    "GetAvailablePlayersPlayersEdgesNodeExternalLinksDataProvider",
    "GetAvailablePlayersPlayersEdgesNodeExternalLinksExternalEntity",
    "GetAvailablePlayersPlayersEdgesNodeTeam",
    "GetAvailablePlayersPlayersPageInfo",
    "GetAvailableTeams",
    "GetAvailableTeamsTeams",
    "GetAvailableTeamsTeamsEdges",
    "GetAvailableTeamsTeamsEdgesNode",
    "GetAvailableTeamsTeamsEdgesNodeExternalLinks",
    "GetAvailableTeamsTeamsEdgesNodeExternalLinksDataProvider",
    "GetAvailableTeamsTeamsEdgesNodeExternalLinksExternalEntity",
    "GetAvailableTeamsTeamsPageInfo",
    "GetAvailableTournaments",
    "GetAvailableTournamentsTournaments",
    "GetAvailableTournamentsTournamentsEdges",
    "GetAvailableTournamentsTournamentsEdgesNode",
    "GetAvailableTournamentsTournamentsEdgesNodeExternalLinks",
    "GetAvailableTournamentsTournamentsEdgesNodeExternalLinksDataProvider",
    "GetAvailableTournamentsTournamentsEdgesNodeExternalLinksExternalEntity",
    "GetAvailableTournamentsTournamentsPageInfo",
    "GetGames",
    "GetGamesAllSeries",
    "GetGamesAllSeriesEdges",
    "GetGamesAllSeriesEdgesNode",
    "GetGamesAllSeriesPageInfo",
    "GetLolTeamsByTeamCode",
    "GetLolTeamsByTeamCodeTeams",
    "GetLolTeamsByTeamCodeTeamsEdges",
    "GetLolTeamsByTeamCodeTeamsEdgesNode",
    "GetLolTeamsByTeamCodeTeamsEdgesNodeExternalLinks",
    "GetLolTeamsByTeamCodeTeamsEdgesNodeExternalLinksDataProvider",
    "GetLolTeamsByTeamCodeTeamsEdgesNodeExternalLinksExternalEntity",
    "GetSeries",
    "GetSeriesAllSeries",
    "GetSeriesAllSeriesEdges",
    "GetSeriesAllSeriesEdgesNode",
    "GetSeriesAllSeriesEdgesNodeExternalLinks",
    "GetSeriesAllSeriesEdgesNodeExternalLinksDataProvider",
    "GetSeriesAllSeriesEdgesNodeExternalLinksExternalEntity",
    "GetSeriesAllSeriesEdgesNodeFormat",
    "GetSeriesAllSeriesEdgesNodeTeams",
    "GetSeriesAllSeriesEdgesNodeTeamsBaseInfo",
    "GetSeriesAllSeriesEdgesNodeTeamsBaseInfoExternalLinks",
    "GetSeriesAllSeriesEdgesNodeTeamsBaseInfoExternalLinksDataProvider",
    "GetSeriesAllSeriesEdgesNodeTeamsBaseInfoExternalLinksExternalEntity",
    "GetSeriesAllSeriesEdgesNodeTournament",
    "GetSeriesAllSeriesEdgesNodeTournamentExternalLinks",
    "GetSeriesAllSeriesEdgesNodeTournamentExternalLinksDataProvider",
    "GetSeriesAllSeriesEdgesNodeTournamentExternalLinksExternalEntity",
    "GetSeriesAllSeriesPageInfo",
    "GetSeriesIdsByTeam",
    "GetSeriesIdsByTeamAllSeries",
    "GetSeriesIdsByTeamAllSeriesEdges",
    "GetSeriesIdsByTeamAllSeriesEdgesNode",
    "GetSeriesIdsByTeamAllSeriesEdgesNodeTeams",
    "GetSeriesIdsByTeamAllSeriesEdgesNodeTeamsBaseInfo",
    "GetSeriesIdsByTeamAllSeriesEdgesNodeTournament",
    "GetSeriesIdsByTeamAllSeriesPageInfo",
    "GraphQLClientError",
    "GraphQLClientGraphQLError",
    "GraphQLClientGraphQLMultiError",
    "GraphQLClientHttpError",
    "GraphQLClientInvalidResponseError",
    "IdFilter",
    "IntFilter",
    "MapFilter",
    "MoneyInput",
    "NationalityFilter",
    "NullableDateFilter",
    "NullableIdFilter",
    "OrderDirection",
    "OrganizationFilter",
    "PlayerFilter",
    "PlayerPlayerRoleFilter",
    "PlayerRoleFilter",
    "PlayerRoleTitleFilter",
    "PlayerType",
    "ProductServiceLevelFilter",
    "SeriesFilter",
    "SeriesLiveFilter",
    "SeriesOrderBy",
    "SeriesPlayerFilter",
    "SeriesTournamentFilter",
    "SeriesTournamentTitleFilter",
    "SeriesType",
    "ServiceLevel",
    "StringFilter",
    "TeamFilter",
    "TitleFilter",
    "TournamentFilter",
    "TournamentTitleFilter",
    "TournamentVenueType",
    "UpdateContentCatalogCharacterInput",
    "UpdateContentCatalogItemInput",
    "UpdateContentCatalogMapInput",
    "UpdateContentCatalogVersionInput",
    "UpdateContentCatalogVersionOwnerInput",
    "UpdatePlayerInput",
    "UpdatePlayerPlayerRoleInput",
    "UpdatePlayerRoleInput",
    "UpdatePlayerRoleTitleInput",
    "UpdatePlayerTeamInput",
    "UpdatePlayerTitleInput",
    "UpdateSeriesFormatInput",
    "UpdateSeriesInput",
    "UpdateSeriesParticipatingPlayersInput",
    "UpdateSeriesTeamInput",
    "UpdateSeriesTitleInput",
    "UpdateSeriesTournamentInput",
    "UpdateTeamInput",
    "UpdateTeamTitleInput",
    "UpdateTournamentInput",
    "UpdateTournamentParentInput",
    "UpdateTournamentTeamInput",
    "UpdateTournamentTitleInput",
    "Upload",
]
